package com.ruoyi.demo.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.demo.entity.bo.ChannelBo;
import com.ruoyi.demo.entity.vo.AddStatusVo;
import com.ruoyi.demo.entity.vo.ChannelVo;
import com.ruoyi.demo.entity.vo.TimeVo;

import java.util.List;

public interface WdInfoService {
    List<AddStatusVo> searchAddStatus(List<String> addrCodes, List<String> typeCodes);

    List<TimeVo> searchOpenTimes(List<String> addrCodes, List<String> typeCodeBys);

    List<TimeVo> searchCloseTimes(List<String> addrCodes, List<String> typeCodeBys);

    Page<ChannelVo> searchChannel(ChannelBo bo);
}
